Bug 982411 - GDM Exposes User Passwd Entry
GDM Exposes User Passwd Entry
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
19
Unspecified Linux
unspecified Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-08 20:50 EDT by Janina Sajka
Modified: 2015-02-17 10:59 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:59:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Janina Sajka 2013-07-08 20:50:00 EDT
When screen reader is checked for GDM accessibility, keystrokes entering the user's password are echoed to the TTS system. This allows anyone within earshot to hear the passwd spelled out, unless the user proactively does something to muffle or silence speech during passwd entry--and that's not necessarily easy to do for most users. As a general practice, screen readers have long since learned to squelch passwd entries, whether during login (Windows, Mac), Linux console (Speakup), or in user agents such as browsers accessing remote, password protected sites. Since GDM wants to function as its own screen reader, it needs to handle this security breach appropriately.Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Always.


Steps to Reproduce:
Launch the desktop and select screen reader from the accessibility dropdown.
Restart and make sure speech feedback is enabled.
Select your user
Start typing your password and listen to the TTS echo it.

Actual results:
Password is echoed character by character.

Expected results:
Each keystroke during password entry should echo a nonspecific string to TTS such as "asterisk," or "dot," or some such. The actual char doesn't matter--only that there's one per typed keystroke.

Additional info:
Comment 1 Al Sten-Clanton 2014-02-28 21:23:22 EST
The good news is that the problem with the password being exposed in the talking login was fixed  -- while I *had* the talking login -- in Fedora 20.  The bad news is that the talking login itself disappeared when I did an update on February 17 or 18.  I did another update last night (Feb. 27) and the talking login is still gone.  I'm not even remotely an expert on what to look for, but I note that last week I did not see anything in yum.log for that update indicating an update to gdm.
Comment 2 Fedora End Of Life 2015-01-09 13:47:02 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-02-17 10:59:36 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.